﻿using System;
using System.Collections.ObjectModel;
using Infragistics.Controls.Schedules;

namespace SilverlightXamScheduleApp.ViewModel
{
    public class ScheduleViewModel : BaseViewModel
    {

        #region Construtors
        public ScheduleViewModel()
        {
        }

        public ScheduleViewModel(string currentUserId, string currentUserName, string currentUserCalendarId)
        {
            Resources.Add(new ResourceInfo
            {
                Id = currentUserId,
                Name = currentUserName

            });

            ResourceCalendars.Add(new ResourceCalendarInfo
            {
                Id = currentUserCalendarId,
                OwningResourceId = currentUserId
            });

            this.CurrentResourceCalendar = this.ResourceCalendars[0];

        }
        #endregion //Construtors

        #region Properties

        #region Appointments
        private ObservableCollection<AppointmentInfo> _appointments = new ObservableCollection<AppointmentInfo>();
        public ObservableCollection<AppointmentInfo> Appointments
        {
            get { return _appointments; }
            set
            {
                _appointments = value;
                OnPropertyChanged("Appointments");
            }
        }
        #endregion //Appointments

        #region CalendarDisplayMode
        /// <summary>
        /// local variable _CalendarDisplayMode 
        /// </summary>
        private CalendarDisplayMode _calendarDisplayMode = CalendarDisplayMode.Separate;

        /// <summary>
        /// Identifies the CalendarDisplayMode  property.
        /// </summary>		
        public CalendarDisplayMode CalendarDisplayMode
        {
            get { return _calendarDisplayMode; }
            set
            {
                _calendarDisplayMode = value;
                OnPropertyChanged("CalendarDisplayMode ");
            }
        }
        #endregion  //CalendarDisplayMode

        #region CurrentResourceCalendar
        private ResourceCalendarInfo _currentResourceCalendar = new ResourceCalendarInfo();
        [System.Xml.Serialization.XmlIgnoreAttribute]
        public ResourceCalendarInfo CurrentResourceCalendar
        {
            get { return _currentResourceCalendar; }
            set
            {
                _currentResourceCalendar = value;
                OnPropertyChanged("CurrentResourceCalendar");
            }
        }
        #endregion //CurrentResourceCalendar

        #region Resources
        private ObservableCollection<ResourceInfo> _resources = new ObservableCollection<ResourceInfo>();
        public ObservableCollection<ResourceInfo> Resources
        {
            get { return _resources; }
            set
            {
                _resources = value;
                OnPropertyChanged("Resources");
            }
        }
        #endregion //Resources

        #region ResourceCalendars
        private ObservableCollection<ResourceCalendarInfo> _resourceCalendars = new ObservableCollection<ResourceCalendarInfo>();
        public ObservableCollection<ResourceCalendarInfo> ResourceCalendars
        {
            get { return _resourceCalendars; }
            set
            {
                _resourceCalendars = value;
                OnPropertyChanged("ResourceCalendars");
            }
        }
        #endregion //ResourceCalendars 

        #endregion //Properties

    }
}
